package com.memri.pod;

import java.util.HashMap;

public class CreateEdge {
  String name;
  String self;
  String source;
  String target;

  /**
   * Constructs a new CreateEdge instance with the provided name, source, and target.
   *
   * @param setName the name of the edge to create.
   * @param setSource the ID of the source item for the edge.
   * @param setTarget the ID of the target item for the edge.
   */
  public CreateEdge(String setName, String setSource, String setTarget) {
    name = setName;
    source = setSource;
    target = setTarget;
  }

  /**
   * Sets the name of the edge.
   *
   * @param setName the name of the edge to set
   * @return the updated CreateEdge object
   */
  public CreateEdge setName(String setName) {
    name = setName;

    return this;
  }

  /**
   * Sets the self attribute of the edge.
   *
   * @param setSelf the value to set for the self attribute
   * @return the updated CreateEdge object
   */
  public CreateEdge setSelf(String setSelf) {
    self = setSelf;

    return this;
  }

  /**
   * Sets the source of the edge.
   *
   * @param setSource the ID of the source node of the edge
   * @return the updated CreateEdge object
   */
  public CreateEdge setSource(String setSource) {
    source = setSource;

    return this;
  }

  /**
   * Sets the target of the edge.
   *
   * @param setTarget the target identifier to set
   * @return the updated CreateEdge object
   */
  public CreateEdge setTarget(String setTarget) {
    target = setTarget;

    return this;
  }
}
