package com.memri.pod;

import java.util.HashMap;

public class DeleteEdgeBySourceTarget {
  String source;
  String target;

  /**
   * Constructs a DeleteEdgeBySourceTarget object with the specified source and target.
   *
   * @param setSource the source node identifier of the edge to be deleted
   * @param setTarget the target node identifier of the edge to be deleted
   */
  public DeleteEdgeBySourceTarget(String setSource, String setTarget) {
    source = setSource;
    target = setTarget;
  }

  /**
   * Sets the source vertex of the edge to be deleted.
   *
   * @param setSource the source vertex of the edge to be deleted
   * @return this DeleteEdgeBySourceTarget instance
   */
  public DeleteEdgeBySourceTarget setSource(String setSource) {
    source = setSource;

    return this;
  }

  /**
   * Sets the target vertex of the edge to be deleted.
   *
   * @param setTarget The new target vertex of the edge to be deleted.
   * @return this DeleteEdgeBySourceTarget instance
   */
  public DeleteEdgeBySourceTarget setTarget(String setTarget) {
    target = setTarget;

    return this;
  }
}
