package com.memri.pod;

import com.memri.pod.EdgeDirection;
import java.util.HashMap;

public class GetEdges {
  String item;
  EdgeDirection direction;
  boolean expandItems;

  /**
   * Creates a new GetEdges instance with the specified item, direction, and expandItems settings.
   *
   * @param setItem the item to retrieve edges for.
   * @param setDirection the direction of the edges to retrieve.
   * @param setExpandItems whether or not to expand items in the response.
   */
  public GetEdges(String setItem, EdgeDirection setDirection, boolean setExpandItems) {
    item = setItem;
    direction = setDirection;
    expandItems = setExpandItems;
  }

  /**
   * Set the item to retrieve edges for.
   *
   * @param setItem The item to retrieve edges for.
   * @return the updated GetEdges object
   */
  public GetEdges setItem(String setItem) {
    item = setItem;

    return this;
  }

  /**
   * Sets the direction of the edges to be retrieved.
   *
   * @param setDirection the direction of the edges to be retrieved (inbound or outbound)
   * @return the updated GetEdges object
   */
  public GetEdges setDirection(EdgeDirection setDirection) {
    direction = setDirection;

    return this;
  }

  /**
   * Sets the value of the expandItems field.
   *
   * @param setExpandItems the boolean value to set for the expandItems field
   * @return the updated GetEdges object
   */
  public GetEdges setExpandItems(boolean setExpandItems) {
    expandItems = setExpandItems;

    return this;
  }
}
