package com.memri.pod;

import com.memri.pod.Platforms;

public class Oauth2AccessTokenRequest {
  Platforms platform;

  /**
   * Creates a new instance of Oauth2AccessTokenRequest with the specified platform.
   *
   * @param setPlatform the platform to use for the access token request.
   */
  public Oauth2AccessTokenRequest(Platforms setPlatform) {
    platform = setPlatform;
  }

  /**
   * Sets the platform for the Oauth2 access token request.
   *
   * @param setPlatform the platform to be set for the Oauth2 access token request
   * @return the instance of the Oauth2AccessTokenRequest class
   */
  public Oauth2AccessTokenRequest setPlatform(Platforms setPlatform) {
    platform = setPlatform;

    return this;
  }
}
