package com.memri.pod;

public class OauthAccessTokenPayload {
  String oauthToken;
  String oauthTokenSecret;
  String oauthVerifier;

  /**
   * Constructs a new instance of OauthAccessTokenPayload with the specified
   * OAuth tokens and verifier.
   *
   * @param setOauthToken the OAuth access token
   * @param setOauthTokenSecret the OAuth access token secret
   * @param setOauthVerifier the OAuth verifier
   */
  public OauthAccessTokenPayload(
      String setOauthToken,
      String setOauthTokenSecret,
      String setOauthVerifier
  ) {
    oauthToken = setOauthToken;
    oauthTokenSecret = setOauthTokenSecret;
    oauthVerifier = setOauthVerifier;
  }

  /**
   * Sets the value of oauthToken field in the OauthAccessTokenPayload object.
   *
   * @param setOauthToken The value to be set for oauthToken field.
   * @return This instance of the OauthAccessTokenPayload object
   */
  public OauthAccessTokenPayload setOauthToken(String setOauthToken) {
    oauthToken = setOauthToken;

    return this;
  }

  /**
   * Sets the OAuth token secret.
   *
   * @param setOauthTokenSecret the OAuth token secret to set
   * @return This instance of the OauthAccessTokenPayload object
   */
  public OauthAccessTokenPayload setOauthTokenSecret(String setOauthTokenSecret) {
    oauthTokenSecret = setOauthTokenSecret;

    return this;
  }

  /**
   * Sets the OAuth verifier.
   *
   * @param setOauthVerifier the OAuth verifier to set.
   * @return This instance of the OauthAccessTokenPayload object
   */
  public OauthAccessTokenPayload setOauthVerifier(String setOauthVerifier) {
    oauthVerifier = setOauthVerifier;

    return this;
  }
}
