package com.memri.pod;

public class OauthRequestTokenPayload {
  String callbackUrl;
  String service;

  /**
   * Creates an instance of the OauthRequestTokenPayload with the provided callback URL and service.
   *
   * @param setCallbackUrl The callback URL to use in the OAuth request token flow.
   * @param setService The service to use in the OAuth request token flow.
   */
  public OauthRequestTokenPayload(String setCallbackUrl, String setService) {
    callbackUrl = setCallbackUrl;
    service = setService;
  }

  /**
   * Sets the callback URL for the OAuth request token payload.
   *
   * @param setCallbackUrl The callback URL to be set.
   * @return The updated instance of the OauthRequestTokenPayload class.
   */
  public OauthRequestTokenPayload setCallbackUrl(String setCallbackUrl) {
    callbackUrl = setCallbackUrl;

    return this;
  }

  /**
   * Sets the OAuth service name for this request token payload.
   *
   * @param setService the name of the OAuth service
   * @return the updated OauthRequestTokenPayload object
   */
  public OauthRequestTokenPayload setService(String setService) {
    service = setService;

    return this;
  }
}
