package com.memri.pod;

public class SendEmail {
  String body;
  String subject;
  String to;

  /**
   * Constructs a new instance of SendEmail with the specified body, subject, and recipient.
   *
   * @param setBody the body of the email to be sent
   * @param setSubject the subject of the email to be sent
   * @param setTo the email address of the recipient
   */
  public SendEmail(String setBody, String setSubject, String setTo) {
    body = setBody;
    subject = setSubject;
    to = setTo;
  }

  /**
   * Sets the body of the email to be sent.
   *
   * @param setBody the body of the email to be sent
   * @return an instance of SendEmail with the body set
   */
  public SendEmail setBody(String setBody) {
    body = setBody;

    return this;
  }

  /**
   * Sets the subject of the email to be sent.
   *
   * @param setSubject the subject of the email to be sent
   * @return an instance of SendEmail with the subject set
   */
  public SendEmail setSubject(String setSubject) {
    subject = setSubject;

    return this;
  }

  /**
   * Sets the email address of the recipient.
   *
   * @param setTo the email address of the recipient
   * @return an instance of SendEmail with the recipient email address set
   */
  public SendEmail setTo(String setTo) {
    to = setTo;

    return this;
  }
}
