package com.memri.pod;

import java.util.HashMap;

public class UpdateItem {
  HashMap<String, String> fields;
  String id;

  /**
   * Constructs a new instance of UpdateItem with the specified id and initializes fields
   * to an empty HashMap.
   *
   * @param setId the id of the item to be updated
   */
  public UpdateItem(String setId) {
    fields = new HashMap<String, String>();
    id = setId;
  }

  /**
   * Adds a field and its value to the UpdateItem instance's fields HashMap.
   *
   * @param key the key of the field to be updated
   * @param value the new value for the field
   * @return the updated UpdateItem instance
   */
  public UpdateItem addField(String key, String value) {
    fields.put(key, value);

    return this;
  }

  /**
   * Sets the id of the item to be updated.
   *
   * @param setId the id of the item to be updated
   * @return the updated UpdateItem instance
   */
  public UpdateItem setId(String setId) {
    id = setId;

    return this;
  }
}
