mod common;
use crate::common::pod_request::{
    migrate_plugin_definition, register_account, register_trigger, send_fake_msg, start_plugin,
};
use common::pod_client::find_in_logs;
use common::test_data::TestData;
use std::time::Duration;
use test_context::test_context;

#[test_context(TestData)]
#[tokio::test]
async fn test_trigger(ctx: &mut TestData) {
    register_account(&ctx.pod_client).await;

    migrate_plugin_definition(&ctx.pod_client).await;

    start_plugin(ctx).await;

    register_trigger(&ctx.pod_client).await;

    // That should trigger the plugin, and POD receive an OK response
    send_fake_msg(&ctx.pod_client).await;

    assert!(find_in_logs(
        &mut ctx.pod_logs,
        "Trigger status: \"OK\"",
        Duration::from_secs(30)
    )
    .await
    .is_some());
}
